Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002261 [JEDI VCL] 00 JVCL Components minor always 2004-10-24 13:07 2004-10-26 11:15
Reporter anonymous View Status public  
Assigned To user72
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002261: TJvEdit EmtpyValue problem
Description Setting jvedit.text := '' makes emtpyvalue appear in emptycolor, and that is correct, but when the user starts to type the text appears in emptycolor, and querying jvedit.text gives ''

Using jvedit.clear isntead of := '' just works fine.
Additional Information
Tags No tags attached.
Attached Files zip file icon 2261_test.zip [^] (1,128 bytes) 2004-10-25 09:57

- Relationships

-  Notes
(0005474)
user72
2004-10-25 02:13

Is this with the latest JvEdit ($Id: JvEdit.pas,v 1.53 2004/10/07 13:08:54 peter3 Exp $)? I can't duplicate it.
(0005483)
anonymous (viewer)
2004-10-25 09:57

Yes, I uploaded a small demo for the bug.
Thanks.
(0005485)
user72
2004-10-25 12:06

see the jedi.vcl newsgroup for a possible fix
(0005496)
Xigi (reporter)
2004-10-26 02:27

jvedit.text can be read now after setting text := '' and typing, but the color is still emptycolor.
Thanks
(0005497)
user72
2004-10-26 03:06

I've posted an update to jedi.binaries. try it out.
(0005498)
Xigi (reporter)
2004-10-26 04:26

Works!
I think you can resolve/close this issue.
Thank you.
(0005506)
user72
2004-10-26 11:15

Thanks for providing the feedback making it possible.

Updated in CVS

- Issue History
Date Modified Username Field Change
2004-10-24 13:07 anonymous New Issue
2004-10-25 02:13 user72 Note Added: 0005474
2004-10-25 02:13 user72 Status new => feedback
2004-10-25 02:13 user72 Issue Monitored: user72
2004-10-25 09:57 anonymous File Added: 2261_test.zip
2004-10-25 09:57 anonymous Note Added: 0005483
2004-10-25 09:59 Xigi Issue Monitored: Xigi
2004-10-25 12:06 user72 Note Added: 0005485
2004-10-26 02:27 Xigi Note Added: 0005496
2004-10-26 03:06 user72 Note Added: 0005497
2004-10-26 04:26 Xigi Note Added: 0005498
2004-10-26 11:15 user72 Status feedback => resolved
2004-10-26 11:15 user72 Resolution open => fixed
2004-10-26 11:15 user72 Assigned To => user72
2004-10-26 11:15 user72 Note Added: 0005506


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker